org.apache.tiles.request.collection

## Class ScopeMap

- java.lang.Object
- - org.apache.tiles.request.collection.ReadOnlyEnumerationMap<Object>
  - - org.apache.tiles.request.collection.ScopeMap

- All Implemented Interfaces:
    Map<String,Object>

      public class ScopeMap
      extends ReadOnlyEnumerationMap<Object>

  Exposes a scope context as a map.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tiles.request.collection.ReadOnlyEnumerationMap

      `request`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeMap(AttributeExtractor context)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `Set<Map.Entry<String,Object>>` | `entrySet()`
    `Set<String>` | `keySet()`
    `Object` | `put(String key, Object value)`
    `void` | `putAll(Map<? extends String,?> map)`
    `Object` | `remove(Object key)`

    - ### Methods inherited from class org.apache.tiles.request.collection.ReadOnlyEnumerationMap

      `containsKey, containsValue, equals, get, hashCode, isEmpty, size, values`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### ScopeMap

          public ScopeMap(AttributeExtractor context)

      Constructor.
      Parameters:
        `context` - The servlet context to use.

  - ### Method Detail

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<String,Object>`
      Overrides:
        `clear` in class `ReadOnlyEnumerationMap<Object>`

    - #### entrySet

          public Set<Map.Entry<String,Object>> entrySet()

      Specified by:
        `entrySet` in interface `Map<String,Object>`
      Overrides:
        `entrySet` in class `ReadOnlyEnumerationMap<Object>`

    - #### keySet

          public Set<String> keySet()

      Specified by:
        `keySet` in interface `Map<String,Object>`
      Overrides:
        `keySet` in class `ReadOnlyEnumerationMap<Object>`

    - #### put

          public Object put(String key,
                            Object value)

      Specified by:
        `put` in interface `Map<String,Object>`
      Overrides:
        `put` in class `ReadOnlyEnumerationMap<Object>`

    - #### putAll

          public void putAll(Map<? extends String,?> map)

      Specified by:
        `putAll` in interface `Map<String,Object>`
      Overrides:
        `putAll` in class `ReadOnlyEnumerationMap<Object>`

    - #### remove

          public Object remove(Object key)

      Specified by:
        `remove` in interface `Map<String,Object>`
      Overrides:
        `remove` in class `ReadOnlyEnumerationMap<Object>`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.